#
# spec file for package python-pathlib2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pathlib2
Version:        2.3.0
Release:        lp150.1.3
Summary:        Object-oriented filesystem paths
License:        MIT
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/pathlib2/
Source:         https://files.pythonhosted.org/packages/source/p/pathlib2/pathlib2-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-scandir
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-scandir
Requires:       python-six
Provides:       python2-pathlib2 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The `old pathlib <https://bitbucket.org/pitrou/pathlib>`_
module on bitbucket is in bugfix-only mode.
The goal of pathlib2 is to provide a backport of
`standard pathlib <http://docs.python.org/dev/library/pathlib.html>`_
module which tracks the standard library module,
so all the newest features of the standard pathlib can be
used also on older Python versions.

%prep
%setup -q -n pathlib2-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.rst LICENSE.rst README.rst
%{python_sitelib}/*

%changelog
* Fri Jan  5 2018 alarrosa@suse.com
- Update to version 2.3.0
  * Sync with upstream pathlib from CPython 3.6.1
* Thu Mar 30 2017 toddrme2178@gmail.com
- Initial version
